ANABOX smart
API ReferenceCalendarsCalendarid

Update a calendar entry by ID

Applies partial updates to the calendar entry identified by ID.

PATCH
/calendars/{calendarId}
x-api-key<token>

API key for authentication

In: header

Path Parameters

calendarIdstring

A valid MongoDB ObjectId

name?string
patient?string

A valid MongoDB ObjectId

date?string
timeCategory?string
rrule?unknown
abdaMedication?string
medication?string
organization?string
amount?number
emptyStomach?boolean|string
Value in""
instruction?string
unit?string
intake?
subTray?string
batchNumber?string
[key: string]?unknown

Response Body

application/json

curl -X PATCH "https://api.memo.wirewire.de/v1/calendars/682fd0d7d4a6325d9d45b86d" \  -H "Content-Type: application/json" \  -d '{    "property1": null,    "property2": null  }'
{
  "id": "string",
  "userId": "string",
  "date": "string",
  "startTime": "string",
  "endTime": "string",
  "title": "string",
  "description": "string",
  "baked": true,
  "createdAt": "string",
  "updatedAt": "string"
}